Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.ttf
Class GlyphData

    java.lang.Object
      org.pdfbox.ttf.GlyphData

public class GlyphData
extends Object

A glyph data record in the glyf table.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`GlyphData()`

Method Summary
`BoundingBox` | `getBoundingBox()`
`short` | `getNumberOfContours()`
`void` | `initData(TrueTypeFont ttf, TTFDataStream data)` This will read the required data from the stream.
`void` | `setBoundingBox(BoundingBox boundingBoxValue)`
`void` | `setNumberOfContours(short numberOfContoursValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlyphData

    public GlyphData()

Method Detail

### initData

    public void initData(TrueTypeFont ttf,
                         TTFDataStream data)
                  throws IOException

  This will read the required data from the stream.

  Parameters:
    `ttf` - The font that is being read.
    `data` - The stream to read the data from.
  Throws:
    `IOException` - If there is an error reading the data.

### getBoundingBox

    public BoundingBox getBoundingBox()

  Returns:
    Returns the boundingBox.

### setBoundingBox

    public void setBoundingBox(BoundingBox boundingBoxValue)

  Parameters:
    `boundingBoxValue` - The boundingBox to set.

### getNumberOfContours

    public short getNumberOfContours()

  Returns:
    Returns the numberOfContours.

### setNumberOfContours

    public void setNumberOfContours(short numberOfContoursValue)

  Parameters:
    `numberOfContoursValue` - The numberOfContours to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD